Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Types | Public Member Functions | List of all members
ranges::v3::view::iter_zip_with_fn Struct Reference

## Synopsis of methods
constexpr iter_zip_with_fn | iter_zip_with {}

## Public Types
template<typename Fun , typename... Rngs>
using | Concept = detail::IterZipWithConcept< Fun, Rngs... >

## Public Member Functions
template<typename Fun , typename... Rngs, requires = (sizeof...(Rngs) != 0 && Concept<Fun, Rngs...>())>
iter_zip_with_view< Fun, all_t< Rngs >... > | operator() (Fun fun, Rngs &&... rngs) const
template<typename Fun , requires = (Concept<Fun>())>
constexpr empty_view< std::tuple<> > | operator() (Fun) const noexcept